Subject: Re: Error 'netif_napi_add_weight() called with weight 256'

From: Jakub Kicinski <[email-masked]>
Date: Wed, 9 Aug 2023 11:37:32 -0700

On Wed, 9 Aug 2023 13:11:57 +0000 Hayes Wang wrote:
> I think it depends on the platform.
> Most of the platforms don't have the same situation.
> Besides, I think the platform with 100Gbps device may
> have faster CPU than that one which I test.
> 
> What would happen, if I set the weight to 256 on the platform
> which runs well for the weight of 64?
> Doesn't it only influence the slow platform?

High weight will cause higher latency for other softirq and RT
processing, it's not a good idea. Even with weight/budget of 64
if there's no higher prio work to do the driver will be polled
again immediately if it consumed the budget and has more packets.

Do you have some actual data on how the device performs with budget 
of 64 and 256? And maybe perf traces to show where the difference goes?